{"items":[{"type":"link","label":"Provisioning API","link":"/docs/provisioning-api/api-reference/provisioning-api","routeSlug":"/docs/provisioning-api/api-reference/provisioning-api","content":{"contentType":"overview","meta":{"name":"Provisioning API"},"children":[{"nodeType":"container","panels":[{"title":"Download OpenAPI description","titleTranslationKey":"download.description.title","children":[{"kind":"download","label":"provisioning-api.json","url":"/_bundle/docs/provisioning-api/api-reference/provisioning-api.json?download"},{"kind":"download","label":"provisioning-api.yaml","url":"/_bundle/docs/provisioning-api/api-reference/provisioning-api.yaml?download"}]},{"title":"Overview","titleTranslationKey":"info.title","children":[]},{"title":"Languages","titleTranslationKey":"languages.title","children":[{"kind":"languages","options":[{"key":"curl","title":"curl","lang":"curl"},{"key":"javascript","title":"JavaScript","lang":"JavaScript"},{"key":"node","title":"Node.js","lang":"Node.js"},{"key":"python","title":"Python","lang":"Python"},{"key":"java","title":"Java","lang":"Java"},{"key":"csharp","title":"C#","lang":"C#"},{"key":"php","title":"PHP","lang":"PHP"},{"key":"go","title":"Go","lang":"Go"},{"key":"ruby","title":"Ruby","lang":"Ruby"},{"key":"r","title":"R","lang":"R"},{"key":"payload","title":"Payload","lang":"Payload"}]}]},{"title":"Servers","titleTranslationKey":"servers.title","children":[{"kind":"servers","servers":[{"url":"https://provisioning.api.sinch.com","description":"Production server"}],"mode":"default"}]}],"children":[{"nodeType":"overview-section-wrapper","children":[{"nodeType":"header","level":1,"label":"Provisioning API (1.2.118)","showPageActions":true}],"sectionId":"/docs/provisioning-api/api-reference/provisioning-api"}]}]}},{"type":"separator","label":"Webhook","content":null},{"type":"group","label":"Webhooks","link":"/docs/provisioning-api/api-reference/provisioning-api/webhooks","routeSlug":"/docs/provisioning-api/api-reference/provisioning-api/webhooks","items":[{"label":"List all webhooks in project","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/docs/provisioning-api/api-reference/provisioning-api/webhooks/webhookwebhookcontroller_listwebhooks_v1","routeSlug":"/docs/provisioning-api/api-reference/provisioning-api/webhooks/webhookwebhookcontroller_listwebhooks_v1","metadata":{"seo":{"title":"List all webhooks in project","description":"Returns a paginated list of webhooks for the specified project. If no page token is supplied then all registered webhooks (of maximum 15) are returned in alphabetical order."}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"WebhookWebhookController_listWebhooks_v1","name":"List all webhooks in project","isWebhook":false,"pointer":"/paths/~1v1~1projects~1{projectId}~1webhooks/get","hasSamples":false},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"List all webhooks in project","badges":[{"name":"GA","color":"green","position":"after"}],"isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"markdoc","content":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Returns a paginated list of webhooks for the specified project. If no page token is supplied then all registered webhooks (of maximum "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"15"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":") are returned in alphabetical order."},"children":[]}]}]}]},{"nodeType":"security","requirements":[{"schemes":[{"name":"BasicAuth","scopes":[],"type":"http","scheme":"basic"},{"name":"BearerAuth","scopes":[],"type":"http","scheme":"bearer","bearerFormat":"JWT"},{"name":"OAuth2Production","scopes":[],"type":"oauth2","description":"OAuth2 authorization for production","flows":{"clientCredentials":{"tokenUrl":"https://auth.sinch.com/oauth2/token","scopes":{"-":"-"}}}}]}]},{"nodeType":"item-content","variant":"path","label":"Path","labelTranslationKey":"path","parameters":[{"name":"projectId","in":"path","schemaId":"schema_922","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"The unique ID of the project. You can find this on the "},"children":[]},{"$$mdtype":"Node","type":"tag","tag":"html","inline":true,"attributes":{"name":"a","attrs":{"href":"https://dashboard.sinch.com/"}},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Sinch Dashboard"},"children":[]}]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"."},"children":[]}]}]}],"required":true}],"pointer":"/paths/~1v1~1projects~1{projectId}~1webhooks/get/parameters"},{"nodeType":"item-content","variant":"query","label":"Query","labelTranslationKey":"query","parameters":[{"name":"pageToken","in":"query","schemaId":"schema_922","description":"The page token if retrieving the next page from a previous query."},{"name":"pageSize","in":"query","schemaId":"schema_923","description":"The page size requested."}],"pointer":"/paths/~1v1~1projects~1{projectId}~1webhooks/get/parameters"}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"http","method":"GET","path":"/v1/projects/{projectId}/webhooks","servers":[{"url":"https://provisioning.api.sinch.com","description":"Production server"}],"parameters":{"path":[{"name":"projectId","in":"path","required":true,"schemaId":"schema_922"}],"query":[{"name":"pageToken","in":"query","required":false,"schemaId":"schema_922"},{"name":"pageSize","in":"query","required":false,"schemaId":"schema_923"}],"querystring":[],"header":[],"cookie":[]},"security":[{"schemes":[{"id":"BasicAuth","type":"http","scheme":"basic"},{"id":"BearerAuth","type":"http","scheme":"bearer","bearerFormat":"JWT"},{"id":"OAuth2Production","type":"oauth2","flows":{"clientCredentials":{"tokenUrl":"https://auth.sinch.com/oauth2/token","scopes":{"-":"-"}}}}],"scopes":[]}],"responseCodes":["200","400","401","500"],"pointer":"/v1/projects/{projectId}/webhooks","href":"webhooks/webhookwebhookcontroller_listwebhooks_v1","openApiOperationId":"WebhookWebhookController_listWebhooks_v1","summary":"List all webhooks in project"},"isWebhook":false,"hideReplay":false,"servers":[{"url":"https://provisioning.api.sinch.com","description":"Production server"}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Responses","labelTranslationKey":"responses","deepLinkSuffix":"responses"},{"nodeType":"item-content","variant":"responses","responses":[{"code":"200","description":"List of webhooks","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/WebhookWebhookListDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1webhooks/get/responses/200/content/application~1json/examples/listWebhooksRes"]}},"schemaId":"components/schemas/WebhookWebhookListDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1webhooks/get/responses/200/content/application~1json/examples/listWebhooksRes"]},{"code":"400","description":"BadRequest","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/WebhookPapiErrorDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1webhooks/get/responses/400/content/application~1json/examples/invalid_page_size-0","paths/~1v1~1projects~1{projectId}~1webhooks/get/responses/400/content/application~1json/examples/invalid_page_token-1"]}},"schemaId":"components/schemas/WebhookPapiErrorDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1webhooks/get/responses/400/content/application~1json/examples/invalid_page_size-0","paths/~1v1~1projects~1{projectId}~1webhooks/get/responses/400/content/application~1json/examples/invalid_page_token-1"]},{"code":"401","description":"Unauthorized","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/WebhookPapiErrorDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1webhooks/get/responses/401/content/application~1json/examples/unauthorized_error-0"]}},"schemaId":"components/schemas/WebhookPapiErrorDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1webhooks/get/responses/401/content/application~1json/examples/unauthorized_error-0"]},{"code":"500","description":"InternalServerError","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/WebhookPapiErrorDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1webhooks/get/responses/500/content/application~1json/examples/internal_error-0"]}},"schemaId":"components/schemas/WebhookPapiErrorDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1webhooks/get/responses/500/content/application~1json/examples/internal_error-0"]}],"pointer":"/paths/~1v1~1projects~1{projectId}~1webhooks/get/responses"}],"panels":[{"children":[{"kind":"response","responseCodes":[{"code":"200","schemaId":"components/schemas/WebhookWebhookListDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1webhooks/get/responses/200/content/application~1json/examples/listWebhooksRes"],"mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/WebhookWebhookListDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1webhooks/get/responses/200/content/application~1json/examples/listWebhooksRes"]}}},{"code":"400","schemaId":"components/schemas/WebhookPapiErrorDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1webhooks/get/responses/400/content/application~1json/examples/invalid_page_size-0","paths/~1v1~1projects~1{projectId}~1webhooks/get/responses/400/content/application~1json/examples/invalid_page_token-1"],"mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/WebhookPapiErrorDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1webhooks/get/responses/400/content/application~1json/examples/invalid_page_size-0","paths/~1v1~1projects~1{projectId}~1webhooks/get/responses/400/content/application~1json/examples/invalid_page_token-1"]}}},{"code":"401","schemaId":"components/schemas/WebhookPapiErrorDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1webhooks/get/responses/401/content/application~1json/examples/unauthorized_error-0"],"mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/WebhookPapiErrorDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1webhooks/get/responses/401/content/application~1json/examples/unauthorized_error-0"]}}},{"code":"500","schemaId":"components/schemas/WebhookPapiErrorDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1webhooks/get/responses/500/content/application~1json/examples/internal_error-0"],"mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/WebhookPapiErrorDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1webhooks/get/responses/500/content/application~1json/examples/internal_error-0"]}}}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"feedback","pageSlug":"/webhooks/webhookwebhookcontroller_listwebhooks_v1"}],"panels":[]}]},"badges":[{"name":"GA","color":"green","position":"after"}],"httpPath":"/v1/projects/{projectId}/webhooks"},{"label":"Register a webhook for project","deprecated":false,"httpVerb":"post","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/docs/provisioning-api/api-reference/provisioning-api/webhooks/webhookwebhookcontroller_createwebhook_v1","routeSlug":"/docs/provisioning-api/api-reference/provisioning-api/webhooks/webhookwebhookcontroller_createwebhook_v1","metadata":{"seo":{"title":"Register a webhook for project","description":"Register a new webhook for a project. The webhook will be used to communicate updates to resources. Maximum of 15 webhooks allowed per project."}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"WebhookWebhookController_createWebhook_v1","name":"Register a webhook for project","isWebhook":false,"pointer":"/paths/~1v1~1projects~1{projectId}~1webhooks/post","hasSamples":true},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Register a webhook for project","badges":[{"name":"GA","color":"green","position":"after"}],"isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"markdoc","content":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Register a new webhook for a project. The webhook will be used to communicate updates to resources. Maximum of "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"15"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" webhooks allowed per project."},"children":[]}]}]}]},{"nodeType":"security","requirements":[{"schemes":[{"name":"BasicAuth","scopes":[],"type":"http","scheme":"basic"},{"name":"BearerAuth","scopes":[],"type":"http","scheme":"bearer","bearerFormat":"JWT"},{"name":"OAuth2Production","scopes":[],"type":"oauth2","description":"OAuth2 authorization for production","flows":{"clientCredentials":{"tokenUrl":"https://auth.sinch.com/oauth2/token","scopes":{"-":"-"}}}}]}]},{"nodeType":"item-content","variant":"path","label":"Path","labelTranslationKey":"path","parameters":[{"name":"projectId","in":"path","schemaId":"schema_922","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"The unique ID of the project. You can find this on the "},"children":[]},{"$$mdtype":"Node","type":"tag","tag":"html","inline":true,"attributes":{"name":"a","attrs":{"href":"https://dashboard.sinch.com/"}},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Sinch Dashboard"},"children":[]}]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"."},"children":[]}]}]}],"required":true}],"pointer":"/paths/~1v1~1projects~1{projectId}~1webhooks/post/parameters"},{"nodeType":"item-content","variant":"body","label":"Request Body","labelTranslationKey":"body","required":true,"mediaTypes":["application/json"],"mediaTypeSchemas":{"application/json":{"schemaId":"components/schemas/WebhookWebhookInputDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1webhooks/post/requestBody/content/application~1json/examples/registerWebhookNoTriggerReq","paths/~1v1~1projects~1{projectId}~1webhooks/post/requestBody/content/application~1json/examples/registerWebhookReq"]}},"schemaId":"components/schemas/WebhookWebhookInputDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1webhooks/post/requestBody/content/application~1json/examples/registerWebhookNoTriggerReq","paths/~1v1~1projects~1{projectId}~1webhooks/post/requestBody/content/application~1json/examples/registerWebhookReq"],"pointer":"/paths/~1v1~1projects~1{projectId}~1webhooks/post/requestBody","description":"Webhook to register"}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"http","method":"POST","path":"/v1/projects/{projectId}/webhooks","servers":[{"url":"https://provisioning.api.sinch.com","description":"Production server"}],"parameters":{"path":[{"name":"projectId","in":"path","required":true,"schemaId":"schema_922"}],"query":[],"querystring":[],"header":[],"cookie":[]},"security":[{"schemes":[{"id":"BasicAuth","type":"http","scheme":"basic"},{"id":"BearerAuth","type":"http","scheme":"bearer","bearerFormat":"JWT"},{"id":"OAuth2Production","type":"oauth2","flows":{"clientCredentials":{"tokenUrl":"https://auth.sinch.com/oauth2/token","scopes":{"-":"-"}}}}],"scopes":[]}],"requestBody":{"application/json":{"schemaId":"components/schemas/WebhookWebhookInputDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1webhooks/post/requestBody/content/application~1json/examples/registerWebhookNoTriggerReq","paths/~1v1~1projects~1{projectId}~1webhooks/post/requestBody/content/application~1json/examples/registerWebhookReq"]}},"responseCodes":["201","400","401","409","424","500"],"pointer":"/v1/projects/{projectId}/webhooks","href":"webhooks/webhookwebhookcontroller_createwebhook_v1","openApiOperationId":"WebhookWebhookController_createWebhook_v1","summary":"Register a webhook for project"},"isWebhook":false,"hideReplay":false,"servers":[{"url":"https://provisioning.api.sinch.com","description":"Production server"}],"schemaId":"components/schemas/WebhookWebhookInputDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1webhooks/post/requestBody/content/application~1json/examples/registerWebhookNoTriggerReq","paths/~1v1~1projects~1{projectId}~1webhooks/post/requestBody/content/application~1json/examples/registerWebhookReq"],"mediaTypes":["application/json"],"mediaTypeSchemas":{"application/json":{"schemaId":"components/schemas/WebhookWebhookInputDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1webhooks/post/requestBody/content/application~1json/examples/registerWebhookNoTriggerReq","paths/~1v1~1projects~1{projectId}~1webhooks/post/requestBody/content/application~1json/examples/registerWebhookReq"]}},"examples":[{},{}]}]}]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Responses","labelTranslationKey":"responses","deepLinkSuffix":"responses"},{"nodeType":"item-content","variant":"responses","responses":[{"code":"201","description":"Webhook created","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/WebhookWebhookDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1webhooks/post/responses/201/content/application~1json/examples/registerWebhookNoTriggerRes","paths/~1v1~1projects~1{projectId}~1webhooks/post/responses/201/content/application~1json/examples/registerWebhookRes"]}},"schemaId":"components/schemas/WebhookWebhookDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1webhooks/post/responses/201/content/application~1json/examples/registerWebhookNoTriggerRes","paths/~1v1~1projects~1{projectId}~1webhooks/post/responses/201/content/application~1json/examples/registerWebhookRes"]},{"code":"400","description":"BadRequest","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/WebhookPapiErrorDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1webhooks/post/responses/400/content/application~1json/examples/invalid_input-0","paths/~1v1~1projects~1{projectId}~1webhooks/post/responses/400/content/application~1json/examples/invalid_payload-1"]}},"schemaId":"components/schemas/WebhookPapiErrorDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1webhooks/post/responses/400/content/application~1json/examples/invalid_input-0","paths/~1v1~1projects~1{projectId}~1webhooks/post/responses/400/content/application~1json/examples/invalid_payload-1"]},{"code":"401","description":"Unauthorized","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/WebhookPapiErrorDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1webhooks/post/responses/401/content/application~1json/examples/unauthorized_error-0"]}},"schemaId":"components/schemas/WebhookPapiErrorDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1webhooks/post/responses/401/content/application~1json/examples/unauthorized_error-0"]},{"code":"409","description":"Conflict","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/WebhookPapiErrorDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1webhooks/post/responses/409/content/application~1json/examples/webhook_exists-0"]}},"schemaId":"components/schemas/WebhookPapiErrorDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1webhooks/post/responses/409/content/application~1json/examples/webhook_exists-0"]},{"code":"424","description":"FailedDependency","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/WebhookPapiErrorDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1webhooks/post/responses/424/content/application~1json/examples/webhook_limit_reached-0"]}},"schemaId":"components/schemas/WebhookPapiErrorDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1webhooks/post/responses/424/content/application~1json/examples/webhook_limit_reached-0"]},{"code":"500","description":"InternalServerError","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/WebhookPapiErrorDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1webhooks/post/responses/500/content/application~1json/examples/internal_error-0"]}},"schemaId":"components/schemas/WebhookPapiErrorDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1webhooks/post/responses/500/content/application~1json/examples/internal_error-0"]}],"pointer":"/paths/~1v1~1projects~1{projectId}~1webhooks/post/responses"}],"panels":[{"children":[{"kind":"response","responseCodes":[{"code":"201","schemaId":"components/schemas/WebhookWebhookDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1webhooks/post/responses/201/content/application~1json/examples/registerWebhookNoTriggerRes","paths/~1v1~1projects~1{projectId}~1webhooks/post/responses/201/content/application~1json/examples/registerWebhookRes"],"mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/WebhookWebhookDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1webhooks/post/responses/201/content/application~1json/examples/registerWebhookNoTriggerRes","paths/~1v1~1projects~1{projectId}~1webhooks/post/responses/201/content/application~1json/examples/registerWebhookRes"]}}},{"code":"400","schemaId":"components/schemas/WebhookPapiErrorDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1webhooks/post/responses/400/content/application~1json/examples/invalid_input-0","paths/~1v1~1projects~1{projectId}~1webhooks/post/responses/400/content/application~1json/examples/invalid_payload-1"],"mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/WebhookPapiErrorDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1webhooks/post/responses/400/content/application~1json/examples/invalid_input-0","paths/~1v1~1projects~1{projectId}~1webhooks/post/responses/400/content/application~1json/examples/invalid_payload-1"]}}},{"code":"401","schemaId":"components/schemas/WebhookPapiErrorDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1webhooks/post/responses/401/content/application~1json/examples/unauthorized_error-0"],"mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/WebhookPapiErrorDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1webhooks/post/responses/401/content/application~1json/examples/unauthorized_error-0"]}}},{"code":"409","schemaId":"components/schemas/WebhookPapiErrorDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1webhooks/post/responses/409/content/application~1json/examples/webhook_exists-0"],"mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/WebhookPapiErrorDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1webhooks/post/responses/409/content/application~1json/examples/webhook_exists-0"]}}},{"code":"424","schemaId":"components/schemas/WebhookPapiErrorDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1webhooks/post/responses/424/content/application~1json/examples/webhook_limit_reached-0"],"mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/WebhookPapiErrorDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1webhooks/post/responses/424/content/application~1json/examples/webhook_limit_reached-0"]}}},{"code":"500","schemaId":"components/schemas/WebhookPapiErrorDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1webhooks/post/responses/500/content/application~1json/examples/internal_error-0"],"mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/WebhookPapiErrorDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1webhooks/post/responses/500/content/application~1json/examples/internal_error-0"]}}}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"feedback","pageSlug":"/webhooks/webhookwebhookcontroller_createwebhook_v1"}],"panels":[]}]},"badges":[{"name":"GA","color":"green","position":"after"}],"httpPath":"/v1/projects/{projectId}/webhooks"},{"label":"Get webhook","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/docs/provisioning-api/api-reference/provisioning-api/webhooks/webhookwebhookcontroller_getwebhook_v1","routeSlug":"/docs/provisioning-api/api-reference/provisioning-api/webhooks/webhookwebhookcontroller_getwebhook_v1","metadata":{"seo":{"title":"Get webhook","description":"Return an already created webhook."}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"WebhookWebhookController_getWebhook_v1","name":"Get webhook","isWebhook":false,"pointer":"/paths/~1v1~1projects~1{projectId}~1webhooks~1{webhookId}/get","hasSamples":false},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Get webhook","badges":[{"name":"GA","color":"green","position":"after"}],"isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"markdoc","content":"\n    Return an already created webhook.\n    "},{"nodeType":"security","requirements":[{"schemes":[{"name":"BasicAuth","scopes":[],"type":"http","scheme":"basic"},{"name":"BearerAuth","scopes":[],"type":"http","scheme":"bearer","bearerFormat":"JWT"},{"name":"OAuth2Production","scopes":[],"type":"oauth2","description":"OAuth2 authorization for production","flows":{"clientCredentials":{"tokenUrl":"https://auth.sinch.com/oauth2/token","scopes":{"-":"-"}}}}]}]},{"nodeType":"item-content","variant":"path","label":"Path","labelTranslationKey":"path","parameters":[{"name":"projectId","in":"path","schemaId":"schema_922","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"The unique ID of the project. You can find this on the "},"children":[]},{"$$mdtype":"Node","type":"tag","tag":"html","inline":true,"attributes":{"name":"a","attrs":{"href":"https://dashboard.sinch.com/"}},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Sinch Dashboard"},"children":[]}]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"."},"children":[]}]}]}],"required":true},{"name":"webhookId","in":"path","schemaId":"schema_922","description":"The unique ID of the webhook.","required":true}],"pointer":"/paths/~1v1~1projects~1{projectId}~1webhooks~1{webhookId}/get/parameters"}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"http","method":"GET","path":"/v1/projects/{projectId}/webhooks/{webhookId}","servers":[{"url":"https://provisioning.api.sinch.com","description":"Production server"}],"parameters":{"path":[{"name":"projectId","in":"path","required":true,"schemaId":"schema_922"},{"name":"webhookId","in":"path","required":true,"schemaId":"schema_922"}],"query":[],"querystring":[],"header":[],"cookie":[]},"security":[{"schemes":[{"id":"BasicAuth","type":"http","scheme":"basic"},{"id":"BearerAuth","type":"http","scheme":"bearer","bearerFormat":"JWT"},{"id":"OAuth2Production","type":"oauth2","flows":{"clientCredentials":{"tokenUrl":"https://auth.sinch.com/oauth2/token","scopes":{"-":"-"}}}}],"scopes":[]}],"responseCodes":["200","400","401","404","500"],"pointer":"/v1/projects/{projectId}/webhooks/{webhookId}","href":"webhooks/webhookwebhookcontroller_getwebhook_v1","openApiOperationId":"WebhookWebhookController_getWebhook_v1","summary":"Get webhook"},"isWebhook":false,"hideReplay":false,"servers":[{"url":"https://provisioning.api.sinch.com","description":"Production server"}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Responses","labelTranslationKey":"responses","deepLinkSuffix":"responses"},{"nodeType":"item-content","variant":"responses","responses":[{"code":"200","description":"Webhook response","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/WebhookWebhookDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1webhooks~1{webhookId}/get/responses/200/content/application~1json/examples/triggers","paths/~1v1~1projects~1{projectId}~1webhooks~1{webhookId}/get/responses/200/content/application~1json/examples/noTriggers"]}},"schemaId":"components/schemas/WebhookWebhookDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1webhooks~1{webhookId}/get/responses/200/content/application~1json/examples/triggers","paths/~1v1~1projects~1{projectId}~1webhooks~1{webhookId}/get/responses/200/content/application~1json/examples/noTriggers"]},{"code":"400","description":"BadRequest","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/WebhookPapiErrorDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1webhooks~1{webhookId}/get/responses/400/content/application~1json/examples/invalid_id_format-0"]}},"schemaId":"components/schemas/WebhookPapiErrorDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1webhooks~1{webhookId}/get/responses/400/content/application~1json/examples/invalid_id_format-0"]},{"code":"401","description":"Unauthorized","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/WebhookPapiErrorDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1webhooks~1{webhookId}/get/responses/401/content/application~1json/examples/unauthorized_error-0"]}},"schemaId":"components/schemas/WebhookPapiErrorDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1webhooks~1{webhookId}/get/responses/401/content/application~1json/examples/unauthorized_error-0"]},{"code":"404","description":"NotFound","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/WebhookPapiErrorDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1webhooks~1{webhookId}/get/responses/404/content/application~1json/examples/webhook_not_found-0"]}},"schemaId":"components/schemas/WebhookPapiErrorDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1webhooks~1{webhookId}/get/responses/404/content/application~1json/examples/webhook_not_found-0"]},{"code":"500","description":"InternalServerError","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/WebhookPapiErrorDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1webhooks~1{webhookId}/get/responses/500/content/application~1json/examples/internal_error-0"]}},"schemaId":"components/schemas/WebhookPapiErrorDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1webhooks~1{webhookId}/get/responses/500/content/application~1json/examples/internal_error-0"]}],"pointer":"/paths/~1v1~1projects~1{projectId}~1webhooks~1{webhookId}/get/responses"}],"panels":[{"children":[{"kind":"response","responseCodes":[{"code":"200","schemaId":"components/schemas/WebhookWebhookDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1webhooks~1{webhookId}/get/responses/200/content/application~1json/examples/triggers","paths/~1v1~1projects~1{projectId}~1webhooks~1{webhookId}/get/responses/200/content/application~1json/examples/noTriggers"],"mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/WebhookWebhookDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1webhooks~1{webhookId}/get/responses/200/content/application~1json/examples/triggers","paths/~1v1~1projects~1{projectId}~1webhooks~1{webhookId}/get/responses/200/content/application~1json/examples/noTriggers"]}}},{"code":"400","schemaId":"components/schemas/WebhookPapiErrorDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1webhooks~1{webhookId}/get/responses/400/content/application~1json/examples/invalid_id_format-0"],"mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/WebhookPapiErrorDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1webhooks~1{webhookId}/get/responses/400/content/application~1json/examples/invalid_id_format-0"]}}},{"code":"401","schemaId":"components/schemas/WebhookPapiErrorDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1webhooks~1{webhookId}/get/responses/401/content/application~1json/examples/unauthorized_error-0"],"mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/WebhookPapiErrorDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1webhooks~1{webhookId}/get/responses/401/content/application~1json/examples/unauthorized_error-0"]}}},{"code":"404","schemaId":"components/schemas/WebhookPapiErrorDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1webhooks~1{webhookId}/get/responses/404/content/application~1json/examples/webhook_not_found-0"],"mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/WebhookPapiErrorDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1webhooks~1{webhookId}/get/responses/404/content/application~1json/examples/webhook_not_found-0"]}}},{"code":"500","schemaId":"components/schemas/WebhookPapiErrorDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1webhooks~1{webhookId}/get/responses/500/content/application~1json/examples/internal_error-0"],"mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/WebhookPapiErrorDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1webhooks~1{webhookId}/get/responses/500/content/application~1json/examples/internal_error-0"]}}}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"feedback","pageSlug":"/webhooks/webhookwebhookcontroller_getwebhook_v1"}],"panels":[]}]},"badges":[{"name":"GA","color":"green","position":"after"}],"httpPath":"/v1/projects/{projectId}/webhooks/{webhookId}"},{"label":"Delete webhook","deprecated":false,"httpVerb":"delete","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/docs/provisioning-api/api-reference/provisioning-api/webhooks/webhookwebhookcontroller_deletewebhook_v1","routeSlug":"/docs/provisioning-api/api-reference/provisioning-api/webhooks/webhookwebhookcontroller_deletewebhook_v1","metadata":{"seo":{"title":"Delete webhook","description":"Deletes an already created webhook."}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"WebhookWebhookController_deleteWebhook_v1","name":"Delete webhook","isWebhook":false,"pointer":"/paths/~1v1~1projects~1{projectId}~1webhooks~1{webhookId}/delete","hasSamples":false},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Delete webhook","badges":[{"name":"GA","color":"green","position":"after"}],"isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"markdoc","content":"\n    Deletes an already created webhook.\n    "},{"nodeType":"security","requirements":[{"schemes":[{"name":"BasicAuth","scopes":[],"type":"http","scheme":"basic"},{"name":"BearerAuth","scopes":[],"type":"http","scheme":"bearer","bearerFormat":"JWT"},{"name":"OAuth2Production","scopes":[],"type":"oauth2","description":"OAuth2 authorization for production","flows":{"clientCredentials":{"tokenUrl":"https://auth.sinch.com/oauth2/token","scopes":{"-":"-"}}}}]}]},{"nodeType":"item-content","variant":"path","label":"Path","labelTranslationKey":"path","parameters":[{"name":"projectId","in":"path","schemaId":"schema_922","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"The unique ID of the project. You can find this on the "},"children":[]},{"$$mdtype":"Node","type":"tag","tag":"html","inline":true,"attributes":{"name":"a","attrs":{"href":"https://dashboard.sinch.com/"}},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Sinch Dashboard"},"children":[]}]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"."},"children":[]}]}]}],"required":true},{"name":"webhookId","in":"path","schemaId":"schema_922","description":"The unique ID of the webhook.","required":true}],"pointer":"/paths/~1v1~1projects~1{projectId}~1webhooks~1{webhookId}/delete/parameters"}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"http","method":"DELETE","path":"/v1/projects/{projectId}/webhooks/{webhookId}","servers":[{"url":"https://provisioning.api.sinch.com","description":"Production server"}],"parameters":{"path":[{"name":"projectId","in":"path","required":true,"schemaId":"schema_922"},{"name":"webhookId","in":"path","required":true,"schemaId":"schema_922"}],"query":[],"querystring":[],"header":[],"cookie":[]},"security":[{"schemes":[{"id":"BasicAuth","type":"http","scheme":"basic"},{"id":"BearerAuth","type":"http","scheme":"bearer","bearerFormat":"JWT"},{"id":"OAuth2Production","type":"oauth2","flows":{"clientCredentials":{"tokenUrl":"https://auth.sinch.com/oauth2/token","scopes":{"-":"-"}}}}],"scopes":[]}],"responseCodes":["204","400","401","404","500"],"pointer":"/v1/projects/{projectId}/webhooks/{webhookId}","href":"webhooks/webhookwebhookcontroller_deletewebhook_v1","openApiOperationId":"WebhookWebhookController_deleteWebhook_v1","summary":"Delete webhook"},"isWebhook":false,"hideReplay":false,"servers":[{"url":"https://provisioning.api.sinch.com","description":"Production server"}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Responses","labelTranslationKey":"responses","deepLinkSuffix":"responses"},{"nodeType":"item-content","variant":"responses","responses":[{"code":"204","description":"Webhook deleted"},{"code":"400","description":"BadRequest","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/WebhookPapiErrorDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1webhooks~1{webhookId}/delete/responses/400/content/application~1json/examples/invalid_id_format-0"]}},"schemaId":"components/schemas/WebhookPapiErrorDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1webhooks~1{webhookId}/delete/responses/400/content/application~1json/examples/invalid_id_format-0"]},{"code":"401","description":"Unauthorized","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/WebhookPapiErrorDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1webhooks~1{webhookId}/delete/responses/401/content/application~1json/examples/unauthorized_error-0"]}},"schemaId":"components/schemas/WebhookPapiErrorDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1webhooks~1{webhookId}/delete/responses/401/content/application~1json/examples/unauthorized_error-0"]},{"code":"404","description":"NotFound","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/WebhookPapiErrorDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1webhooks~1{webhookId}/delete/responses/404/content/application~1json/examples/webhook_not_found-0"]}},"schemaId":"components/schemas/WebhookPapiErrorDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1webhooks~1{webhookId}/delete/responses/404/content/application~1json/examples/webhook_not_found-0"]},{"code":"500","description":"InternalServerError","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/WebhookPapiErrorDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1webhooks~1{webhookId}/delete/responses/500/content/application~1json/examples/internal_error-0"]}},"schemaId":"components/schemas/WebhookPapiErrorDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1webhooks~1{webhookId}/delete/responses/500/content/application~1json/examples/internal_error-0"]}],"pointer":"/paths/~1v1~1projects~1{projectId}~1webhooks~1{webhookId}/delete/responses"}],"panels":[{"children":[{"kind":"response","responseCodes":[{"code":"204"},{"code":"400","schemaId":"components/schemas/WebhookPapiErrorDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1webhooks~1{webhookId}/delete/responses/400/content/application~1json/examples/invalid_id_format-0"],"mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/WebhookPapiErrorDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1webhooks~1{webhookId}/delete/responses/400/content/application~1json/examples/invalid_id_format-0"]}}},{"code":"401","schemaId":"components/schemas/WebhookPapiErrorDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1webhooks~1{webhookId}/delete/responses/401/content/application~1json/examples/unauthorized_error-0"],"mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/WebhookPapiErrorDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1webhooks~1{webhookId}/delete/responses/401/content/application~1json/examples/unauthorized_error-0"]}}},{"code":"404","schemaId":"components/schemas/WebhookPapiErrorDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1webhooks~1{webhookId}/delete/responses/404/content/application~1json/examples/webhook_not_found-0"],"mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/WebhookPapiErrorDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1webhooks~1{webhookId}/delete/responses/404/content/application~1json/examples/webhook_not_found-0"]}}},{"code":"500","schemaId":"components/schemas/WebhookPapiErrorDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1webhooks~1{webhookId}/delete/responses/500/content/application~1json/examples/internal_error-0"],"mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/WebhookPapiErrorDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1webhooks~1{webhookId}/delete/responses/500/content/application~1json/examples/internal_error-0"]}}}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"feedback","pageSlug":"/webhooks/webhookwebhookcontroller_deletewebhook_v1"}],"panels":[]}]},"badges":[{"name":"GA","color":"green","position":"after"}],"httpPath":"/v1/projects/{projectId}/webhooks/{webhookId}"},{"label":"Replace webhook","deprecated":false,"httpVerb":"put","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/docs/provisioning-api/api-reference/provisioning-api/webhooks/webhookwebhookcontroller_replacewebhook_v1","routeSlug":"/docs/provisioning-api/api-reference/provisioning-api/webhooks/webhookwebhookcontroller_replacewebhook_v1","metadata":{"seo":{"title":"Replace webhook","description":"Replace an already existing webhook."}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"WebhookWebhookController_replaceWebhook_v1","name":"Replace webhook","isWebhook":false,"pointer":"/paths/~1v1~1projects~1{projectId}~1webhooks~1{webhookId}/put","hasSamples":true},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Replace webhook","badges":[{"name":"GA","color":"green","position":"after"}],"isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"markdoc","content":"\n    Replace an already existing webhook.\n    "},{"nodeType":"security","requirements":[{"schemes":[{"name":"BasicAuth","scopes":[],"type":"http","scheme":"basic"},{"name":"BearerAuth","scopes":[],"type":"http","scheme":"bearer","bearerFormat":"JWT"},{"name":"OAuth2Production","scopes":[],"type":"oauth2","description":"OAuth2 authorization for production","flows":{"clientCredentials":{"tokenUrl":"https://auth.sinch.com/oauth2/token","scopes":{"-":"-"}}}}]}]},{"nodeType":"item-content","variant":"path","label":"Path","labelTranslationKey":"path","parameters":[{"name":"projectId","in":"path","schemaId":"schema_922","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"The unique ID of the project. You can find this on the "},"children":[]},{"$$mdtype":"Node","type":"tag","tag":"html","inline":true,"attributes":{"name":"a","attrs":{"href":"https://dashboard.sinch.com/"}},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Sinch Dashboard"},"children":[]}]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"."},"children":[]}]}]}],"required":true},{"name":"webhookId","in":"path","schemaId":"schema_922","description":"The unique ID of the webhook.","required":true}],"pointer":"/paths/~1v1~1projects~1{projectId}~1webhooks~1{webhookId}/put/parameters"},{"nodeType":"item-content","variant":"body","label":"Request Body","labelTranslationKey":"body","required":true,"mediaTypes":["application/json"],"mediaTypeSchemas":{"application/json":{"schemaId":"components/schemas/WebhookWebhookInputDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1webhooks~1{webhookId}/put/requestBody/content/application~1json/examples/updateWebhookReq","paths/~1v1~1projects~1{projectId}~1webhooks~1{webhookId}/put/requestBody/content/application~1json/examples/updateWebhookNoTriggerReq"]}},"schemaId":"components/schemas/WebhookWebhookInputDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1webhooks~1{webhookId}/put/requestBody/content/application~1json/examples/updateWebhookReq","paths/~1v1~1projects~1{projectId}~1webhooks~1{webhookId}/put/requestBody/content/application~1json/examples/updateWebhookNoTriggerReq"],"pointer":"/paths/~1v1~1projects~1{projectId}~1webhooks~1{webhookId}/put/requestBody","description":"Webhook to replace"}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"http","method":"PUT","path":"/v1/projects/{projectId}/webhooks/{webhookId}","servers":[{"url":"https://provisioning.api.sinch.com","description":"Production server"}],"parameters":{"path":[{"name":"projectId","in":"path","required":true,"schemaId":"schema_922"},{"name":"webhookId","in":"path","required":true,"schemaId":"schema_922"}],"query":[],"querystring":[],"header":[],"cookie":[]},"security":[{"schemes":[{"id":"BasicAuth","type":"http","scheme":"basic"},{"id":"BearerAuth","type":"http","scheme":"bearer","bearerFormat":"JWT"},{"id":"OAuth2Production","type":"oauth2","flows":{"clientCredentials":{"tokenUrl":"https://auth.sinch.com/oauth2/token","scopes":{"-":"-"}}}}],"scopes":[]}],"requestBody":{"application/json":{"schemaId":"components/schemas/WebhookWebhookInputDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1webhooks~1{webhookId}/put/requestBody/content/application~1json/examples/updateWebhookReq","paths/~1v1~1projects~1{projectId}~1webhooks~1{webhookId}/put/requestBody/content/application~1json/examples/updateWebhookNoTriggerReq"]}},"responseCodes":["200","400","401","404","409","500"],"pointer":"/v1/projects/{projectId}/webhooks/{webhookId}","href":"webhooks/webhookwebhookcontroller_replacewebhook_v1","openApiOperationId":"WebhookWebhookController_replaceWebhook_v1","summary":"Replace webhook"},"isWebhook":false,"hideReplay":false,"servers":[{"url":"https://provisioning.api.sinch.com","description":"Production server"}],"schemaId":"components/schemas/WebhookWebhookInputDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1webhooks~1{webhookId}/put/requestBody/content/application~1json/examples/updateWebhookReq","paths/~1v1~1projects~1{projectId}~1webhooks~1{webhookId}/put/requestBody/content/application~1json/examples/updateWebhookNoTriggerReq"],"mediaTypes":["application/json"],"mediaTypeSchemas":{"application/json":{"schemaId":"components/schemas/WebhookWebhookInputDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1webhooks~1{webhookId}/put/requestBody/content/application~1json/examples/updateWebhookReq","paths/~1v1~1projects~1{projectId}~1webhooks~1{webhookId}/put/requestBody/content/application~1json/examples/updateWebhookNoTriggerReq"]}},"examples":[{},{}]}]}]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Responses","labelTranslationKey":"responses","deepLinkSuffix":"responses"},{"nodeType":"item-content","variant":"responses","responses":[{"code":"200","description":"Webhook response","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/WebhookWebhookDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1webhooks~1{webhookId}/put/responses/200/content/application~1json/examples/updateWebhookRes","paths/~1v1~1projects~1{projectId}~1webhooks~1{webhookId}/put/responses/200/content/application~1json/examples/updateWebhookNoTriggerRes"]}},"schemaId":"components/schemas/WebhookWebhookDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1webhooks~1{webhookId}/put/responses/200/content/application~1json/examples/updateWebhookRes","paths/~1v1~1projects~1{projectId}~1webhooks~1{webhookId}/put/responses/200/content/application~1json/examples/updateWebhookNoTriggerRes"]},{"code":"400","description":"BadRequest","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/WebhookPapiErrorDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1webhooks~1{webhookId}/put/responses/400/content/application~1json/examples/invalid_input-0","paths/~1v1~1projects~1{projectId}~1webhooks~1{webhookId}/put/responses/400/content/application~1json/examples/invalid_payload-1","paths/~1v1~1projects~1{projectId}~1webhooks~1{webhookId}/put/responses/400/content/application~1json/examples/invalid_id_format-2"]}},"schemaId":"components/schemas/WebhookPapiErrorDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1webhooks~1{webhookId}/put/responses/400/content/application~1json/examples/invalid_input-0","paths/~1v1~1projects~1{projectId}~1webhooks~1{webhookId}/put/responses/400/content/application~1json/examples/invalid_payload-1","paths/~1v1~1projects~1{projectId}~1webhooks~1{webhookId}/put/responses/400/content/application~1json/examples/invalid_id_format-2"]},{"code":"401","description":"Unauthorized","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/WebhookPapiErrorDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1webhooks~1{webhookId}/put/responses/401/content/application~1json/examples/unauthorized_error-0"]}},"schemaId":"components/schemas/WebhookPapiErrorDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1webhooks~1{webhookId}/put/responses/401/content/application~1json/examples/unauthorized_error-0"]},{"code":"404","description":"NotFound","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/WebhookPapiErrorDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1webhooks~1{webhookId}/put/responses/404/content/application~1json/examples/webhook_not_found-0"]}},"schemaId":"components/schemas/WebhookPapiErrorDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1webhooks~1{webhookId}/put/responses/404/content/application~1json/examples/webhook_not_found-0"]},{"code":"409","description":"Conflict","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/WebhookPapiErrorDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1webhooks~1{webhookId}/put/responses/409/content/application~1json/examples/webhook_exists-0"]}},"schemaId":"components/schemas/WebhookPapiErrorDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1webhooks~1{webhookId}/put/responses/409/content/application~1json/examples/webhook_exists-0"]},{"code":"500","description":"InternalServerError","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/WebhookPapiErrorDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1webhooks~1{webhookId}/put/responses/500/content/application~1json/examples/internal_error-0"]}},"schemaId":"components/schemas/WebhookPapiErrorDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1webhooks~1{webhookId}/put/responses/500/content/application~1json/examples/internal_error-0"]}],"pointer":"/paths/~1v1~1projects~1{projectId}~1webhooks~1{webhookId}/put/responses"}],"panels":[{"children":[{"kind":"response","responseCodes":[{"code":"200","schemaId":"components/schemas/WebhookWebhookDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1webhooks~1{webhookId}/put/responses/200/content/application~1json/examples/updateWebhookRes","paths/~1v1~1projects~1{projectId}~1webhooks~1{webhookId}/put/responses/200/content/application~1json/examples/updateWebhookNoTriggerRes"],"mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/WebhookWebhookDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1webhooks~1{webhookId}/put/responses/200/content/application~1json/examples/updateWebhookRes","paths/~1v1~1projects~1{projectId}~1webhooks~1{webhookId}/put/responses/200/content/application~1json/examples/updateWebhookNoTriggerRes"]}}},{"code":"400","schemaId":"components/schemas/WebhookPapiErrorDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1webhooks~1{webhookId}/put/responses/400/content/application~1json/examples/invalid_input-0","paths/~1v1~1projects~1{projectId}~1webhooks~1{webhookId}/put/responses/400/content/application~1json/examples/invalid_payload-1","paths/~1v1~1projects~1{projectId}~1webhooks~1{webhookId}/put/responses/400/content/application~1json/examples/invalid_id_format-2"],"mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/WebhookPapiErrorDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1webhooks~1{webhookId}/put/responses/400/content/application~1json/examples/invalid_input-0","paths/~1v1~1projects~1{projectId}~1webhooks~1{webhookId}/put/responses/400/content/application~1json/examples/invalid_payload-1","paths/~1v1~1projects~1{projectId}~1webhooks~1{webhookId}/put/responses/400/content/application~1json/examples/invalid_id_format-2"]}}},{"code":"401","schemaId":"components/schemas/WebhookPapiErrorDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1webhooks~1{webhookId}/put/responses/401/content/application~1json/examples/unauthorized_error-0"],"mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/WebhookPapiErrorDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1webhooks~1{webhookId}/put/responses/401/content/application~1json/examples/unauthorized_error-0"]}}},{"code":"404","schemaId":"components/schemas/WebhookPapiErrorDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1webhooks~1{webhookId}/put/responses/404/content/application~1json/examples/webhook_not_found-0"],"mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/WebhookPapiErrorDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1webhooks~1{webhookId}/put/responses/404/content/application~1json/examples/webhook_not_found-0"]}}},{"code":"409","schemaId":"components/schemas/WebhookPapiErrorDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1webhooks~1{webhookId}/put/responses/409/content/application~1json/examples/webhook_exists-0"],"mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/WebhookPapiErrorDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1webhooks~1{webhookId}/put/responses/409/content/application~1json/examples/webhook_exists-0"]}}},{"code":"500","schemaId":"components/schemas/WebhookPapiErrorDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1webhooks~1{webhookId}/put/responses/500/content/application~1json/examples/internal_error-0"],"mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/WebhookPapiErrorDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1webhooks~1{webhookId}/put/responses/500/content/application~1json/examples/internal_error-0"]}}}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"feedback","pageSlug":"/webhooks/webhookwebhookcontroller_replacewebhook_v1"}],"panels":[]}]},"badges":[{"name":"GA","color":"green","position":"after"}],"httpPath":"/v1/projects/{projectId}/webhooks/{webhookId}"},{"label":"Update webhook","deprecated":false,"httpVerb":"patch","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/docs/provisioning-api/api-reference/provisioning-api/webhooks/webhookwebhookcontroller_updatewebhook_v1","routeSlug":"/docs/provisioning-api/api-reference/provisioning-api/webhooks/webhookwebhookcontroller_updatewebhook_v1","metadata":{"seo":{"title":"Update webhook","description":"Update an already existing webhook."}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"WebhookWebhookController_updateWebhook_v1","name":"Update webhook","isWebhook":false,"pointer":"/paths/~1v1~1projects~1{projectId}~1webhooks~1{webhookId}/patch","hasSamples":true},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Update webhook","badges":[{"name":"GA","color":"green","position":"after"}],"isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"markdoc","content":"\n    Update an already existing webhook.\n    "},{"nodeType":"security","requirements":[{"schemes":[{"name":"BasicAuth","scopes":[],"type":"http","scheme":"basic"},{"name":"BearerAuth","scopes":[],"type":"http","scheme":"bearer","bearerFormat":"JWT"},{"name":"OAuth2Production","scopes":[],"type":"oauth2","description":"OAuth2 authorization for production","flows":{"clientCredentials":{"tokenUrl":"https://auth.sinch.com/oauth2/token","scopes":{"-":"-"}}}}]}]},{"nodeType":"item-content","variant":"path","label":"Path","labelTranslationKey":"path","parameters":[{"name":"projectId","in":"path","schemaId":"schema_922","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"The unique ID of the project. You can find this on the "},"children":[]},{"$$mdtype":"Node","type":"tag","tag":"html","inline":true,"attributes":{"name":"a","attrs":{"href":"https://dashboard.sinch.com/"}},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Sinch Dashboard"},"children":[]}]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"."},"children":[]}]}]}],"required":true},{"name":"webhookId","in":"path","schemaId":"schema_922","description":"The unique ID of the webhook.","required":true}],"pointer":"/paths/~1v1~1projects~1{projectId}~1webhooks~1{webhookId}/patch/parameters"},{"nodeType":"item-content","variant":"body","label":"Request Body","labelTranslationKey":"body","required":true,"mediaTypes":["application/json"],"mediaTypeSchemas":{"application/json":{"schemaId":"components/schemas/WebhookUpdateWebhookInputDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1webhooks~1{webhookId}/patch/requestBody/content/application~1json/examples/updateWebhookReq","paths/~1v1~1projects~1{projectId}~1webhooks~1{webhookId}/patch/requestBody/content/application~1json/examples/updateWebhookNoTriggerReq"]}},"schemaId":"components/schemas/WebhookUpdateWebhookInputDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1webhooks~1{webhookId}/patch/requestBody/content/application~1json/examples/updateWebhookReq","paths/~1v1~1projects~1{projectId}~1webhooks~1{webhookId}/patch/requestBody/content/application~1json/examples/updateWebhookNoTriggerReq"],"pointer":"/paths/~1v1~1projects~1{projectId}~1webhooks~1{webhookId}/patch/requestBody","description":"Webhook to update"}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"http","method":"PATCH","path":"/v1/projects/{projectId}/webhooks/{webhookId}","servers":[{"url":"https://provisioning.api.sinch.com","description":"Production server"}],"parameters":{"path":[{"name":"projectId","in":"path","required":true,"schemaId":"schema_922"},{"name":"webhookId","in":"path","required":true,"schemaId":"schema_922"}],"query":[],"querystring":[],"header":[],"cookie":[]},"security":[{"schemes":[{"id":"BasicAuth","type":"http","scheme":"basic"},{"id":"BearerAuth","type":"http","scheme":"bearer","bearerFormat":"JWT"},{"id":"OAuth2Production","type":"oauth2","flows":{"clientCredentials":{"tokenUrl":"https://auth.sinch.com/oauth2/token","scopes":{"-":"-"}}}}],"scopes":[]}],"requestBody":{"application/json":{"schemaId":"components/schemas/WebhookUpdateWebhookInputDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1webhooks~1{webhookId}/patch/requestBody/content/application~1json/examples/updateWebhookReq","paths/~1v1~1projects~1{projectId}~1webhooks~1{webhookId}/patch/requestBody/content/application~1json/examples/updateWebhookNoTriggerReq"]}},"responseCodes":["200","400","401","404","409","500"],"pointer":"/v1/projects/{projectId}/webhooks/{webhookId}","href":"webhooks/webhookwebhookcontroller_updatewebhook_v1","openApiOperationId":"WebhookWebhookController_updateWebhook_v1","summary":"Update webhook"},"isWebhook":false,"hideReplay":false,"servers":[{"url":"https://provisioning.api.sinch.com","description":"Production server"}],"schemaId":"components/schemas/WebhookUpdateWebhookInputDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1webhooks~1{webhookId}/patch/requestBody/content/application~1json/examples/updateWebhookReq","paths/~1v1~1projects~1{projectId}~1webhooks~1{webhookId}/patch/requestBody/content/application~1json/examples/updateWebhookNoTriggerReq"],"mediaTypes":["application/json"],"mediaTypeSchemas":{"application/json":{"schemaId":"components/schemas/WebhookUpdateWebhookInputDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1webhooks~1{webhookId}/patch/requestBody/content/application~1json/examples/updateWebhookReq","paths/~1v1~1projects~1{projectId}~1webhooks~1{webhookId}/patch/requestBody/content/application~1json/examples/updateWebhookNoTriggerReq"]}},"examples":[{},{}]}]}]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Responses","labelTranslationKey":"responses","deepLinkSuffix":"responses"},{"nodeType":"item-content","variant":"responses","responses":[{"code":"200","description":"Webhook response","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/WebhookWebhookDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1webhooks~1{webhookId}/patch/responses/200/content/application~1json/examples/updateWebhookRes","paths/~1v1~1projects~1{projectId}~1webhooks~1{webhookId}/patch/responses/200/content/application~1json/examples/updateWebhookNoTriggerRes"]}},"schemaId":"components/schemas/WebhookWebhookDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1webhooks~1{webhookId}/patch/responses/200/content/application~1json/examples/updateWebhookRes","paths/~1v1~1projects~1{projectId}~1webhooks~1{webhookId}/patch/responses/200/content/application~1json/examples/updateWebhookNoTriggerRes"]},{"code":"400","description":"BadRequest","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/WebhookPapiErrorDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1webhooks~1{webhookId}/patch/responses/400/content/application~1json/examples/invalid_input-0","paths/~1v1~1projects~1{projectId}~1webhooks~1{webhookId}/patch/responses/400/content/application~1json/examples/invalid_payload-1","paths/~1v1~1projects~1{projectId}~1webhooks~1{webhookId}/patch/responses/400/content/application~1json/examples/invalid_id_format-2"]}},"schemaId":"components/schemas/WebhookPapiErrorDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1webhooks~1{webhookId}/patch/responses/400/content/application~1json/examples/invalid_input-0","paths/~1v1~1projects~1{projectId}~1webhooks~1{webhookId}/patch/responses/400/content/application~1json/examples/invalid_payload-1","paths/~1v1~1projects~1{projectId}~1webhooks~1{webhookId}/patch/responses/400/content/application~1json/examples/invalid_id_format-2"]},{"code":"401","description":"Unauthorized","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/WebhookPapiErrorDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1webhooks~1{webhookId}/patch/responses/401/content/application~1json/examples/unauthorized_error-0"]}},"schemaId":"components/schemas/WebhookPapiErrorDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1webhooks~1{webhookId}/patch/responses/401/content/application~1json/examples/unauthorized_error-0"]},{"code":"404","description":"NotFound","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/WebhookPapiErrorDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1webhooks~1{webhookId}/patch/responses/404/content/application~1json/examples/webhook_not_found-0"]}},"schemaId":"components/schemas/WebhookPapiErrorDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1webhooks~1{webhookId}/patch/responses/404/content/application~1json/examples/webhook_not_found-0"]},{"code":"409","description":"Conflict","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/WebhookPapiErrorDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1webhooks~1{webhookId}/patch/responses/409/content/application~1json/examples/webhook_exists-0"]}},"schemaId":"components/schemas/WebhookPapiErrorDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1webhooks~1{webhookId}/patch/responses/409/content/application~1json/examples/webhook_exists-0"]},{"code":"500","description":"InternalServerError","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/WebhookPapiErrorDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1webhooks~1{webhookId}/patch/responses/500/content/application~1json/examples/internal_error-0"]}},"schemaId":"components/schemas/WebhookPapiErrorDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1webhooks~1{webhookId}/patch/responses/500/content/application~1json/examples/internal_error-0"]}],"pointer":"/paths/~1v1~1projects~1{projectId}~1webhooks~1{webhookId}/patch/responses"}],"panels":[{"children":[{"kind":"response","responseCodes":[{"code":"200","schemaId":"components/schemas/WebhookWebhookDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1webhooks~1{webhookId}/patch/responses/200/content/application~1json/examples/updateWebhookRes","paths/~1v1~1projects~1{projectId}~1webhooks~1{webhookId}/patch/responses/200/content/application~1json/examples/updateWebhookNoTriggerRes"],"mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/WebhookWebhookDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1webhooks~1{webhookId}/patch/responses/200/content/application~1json/examples/updateWebhookRes","paths/~1v1~1projects~1{projectId}~1webhooks~1{webhookId}/patch/responses/200/content/application~1json/examples/updateWebhookNoTriggerRes"]}}},{"code":"400","schemaId":"components/schemas/WebhookPapiErrorDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1webhooks~1{webhookId}/patch/responses/400/content/application~1json/examples/invalid_input-0","paths/~1v1~1projects~1{projectId}~1webhooks~1{webhookId}/patch/responses/400/content/application~1json/examples/invalid_payload-1","paths/~1v1~1projects~1{projectId}~1webhooks~1{webhookId}/patch/responses/400/content/application~1json/examples/invalid_id_format-2"],"mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/WebhookPapiErrorDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1webhooks~1{webhookId}/patch/responses/400/content/application~1json/examples/invalid_input-0","paths/~1v1~1projects~1{projectId}~1webhooks~1{webhookId}/patch/responses/400/content/application~1json/examples/invalid_payload-1","paths/~1v1~1projects~1{projectId}~1webhooks~1{webhookId}/patch/responses/400/content/application~1json/examples/invalid_id_format-2"]}}},{"code":"401","schemaId":"components/schemas/WebhookPapiErrorDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1webhooks~1{webhookId}/patch/responses/401/content/application~1json/examples/unauthorized_error-0"],"mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/WebhookPapiErrorDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1webhooks~1{webhookId}/patch/responses/401/content/application~1json/examples/unauthorized_error-0"]}}},{"code":"404","schemaId":"components/schemas/WebhookPapiErrorDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1webhooks~1{webhookId}/patch/responses/404/content/application~1json/examples/webhook_not_found-0"],"mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/WebhookPapiErrorDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1webhooks~1{webhookId}/patch/responses/404/content/application~1json/examples/webhook_not_found-0"]}}},{"code":"409","schemaId":"components/schemas/WebhookPapiErrorDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1webhooks~1{webhookId}/patch/responses/409/content/application~1json/examples/webhook_exists-0"],"mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/WebhookPapiErrorDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1webhooks~1{webhookId}/patch/responses/409/content/application~1json/examples/webhook_exists-0"]}}},{"code":"500","schemaId":"components/schemas/WebhookPapiErrorDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1webhooks~1{webhookId}/patch/responses/500/content/application~1json/examples/internal_error-0"],"mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/WebhookPapiErrorDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1webhooks~1{webhookId}/patch/responses/500/content/application~1json/examples/internal_error-0"]}}}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"feedback","pageSlug":"/webhooks/webhookwebhookcontroller_updatewebhook_v1"}],"panels":[]}]},"badges":[{"name":"GA","color":"green","position":"after"}],"httpPath":"/v1/projects/{projectId}/webhooks/{webhookId}"}],"content":{"contentType":"group","meta":{"name":"Webhooks"},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Webhooks","showPageActions":true},{"nodeType":"markdoc","content":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Webhooks allow the Sinch servers to communicate with your server backend. The "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"webhooks"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" endpoint lets you create, update, and delete webhooks programmatically."},"children":[]}]}]}]}],"panels":[{"children":[{"kind":"group-items","title":"Operations","titleTranslationKey":"operations","items":[{"title":"/v1/projects/{projectId}/webhooks","summary":"List all webhooks in project","prefix":{"name":"get","color":"get"},"badges":[{"name":"GA","color":"green","position":"after"}],"link":"/webhooks/webhookwebhookcontroller_listwebhooks_v1","deprecated":false},{"title":"/v1/projects/{projectId}/webhooks","summary":"Register a webhook for project","prefix":{"name":"post","color":"post"},"badges":[{"name":"GA","color":"green","position":"after"}],"link":"/webhooks/webhookwebhookcontroller_createwebhook_v1","deprecated":false},{"title":"/v1/projects/{projectId}/webhooks/{webhookId}","summary":"Get webhook","prefix":{"name":"get","color":"get"},"badges":[{"name":"GA","color":"green","position":"after"}],"link":"/webhooks/webhookwebhookcontroller_getwebhook_v1","deprecated":false},{"title":"/v1/projects/{projectId}/webhooks/{webhookId}","summary":"Delete webhook","prefix":{"name":"delete","color":"delete"},"badges":[{"name":"GA","color":"green","position":"after"}],"link":"/webhooks/webhookwebhookcontroller_deletewebhook_v1","deprecated":false},{"title":"/v1/projects/{projectId}/webhooks/{webhookId}","summary":"Replace webhook","prefix":{"name":"put","color":"put"},"badges":[{"name":"GA","color":"green","position":"after"}],"link":"/webhooks/webhookwebhookcontroller_replacewebhook_v1","deprecated":false},{"title":"/v1/projects/{projectId}/webhooks/{webhookId}","summary":"Update webhook","prefix":{"name":"patch","color":"patch"},"badges":[{"name":"GA","color":"green","position":"after"}],"link":"/webhooks/webhookwebhookcontroller_updatewebhook_v1","deprecated":false}]}]}]}]}},{"type":"separator","label":"WhatsApp","content":null},{"type":"group","label":"WhatsApp Accounts","link":"/docs/provisioning-api/api-reference/provisioning-api/whatsapp-accounts","routeSlug":"/docs/provisioning-api/api-reference/provisioning-api/whatsapp-accounts","items":[{"label":"Get account for project","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/docs/provisioning-api/api-reference/provisioning-api/whatsapp-accounts/whatsappaccountscontroller_getaccount_v1","routeSlug":"/docs/provisioning-api/api-reference/provisioning-api/whatsapp-accounts/whatsappaccountscontroller_getaccount_v1","metadata":{"seo":{"title":"Get account for project","description":"Returns an account for a project."}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"WhatsappAccountsController_getAccount_v1","name":"Get account for project","isWebhook":false,"pointer":"/paths/~1v1~1projects~1{projectId}~1whatsapp/get","hasSamples":false},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Get account for project","badges":[{"name":"GA","color":"green","position":"after"}],"isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"markdoc","content":"\n    Returns an account for a project.\n    "},{"nodeType":"security","requirements":[{"schemes":[{"name":"BasicAuth","scopes":[],"type":"http","scheme":"basic"},{"name":"BearerAuth","scopes":[],"type":"http","scheme":"bearer","bearerFormat":"JWT"},{"name":"OAuth2Production","scopes":[],"type":"oauth2","description":"OAuth2 authorization for production","flows":{"clientCredentials":{"tokenUrl":"https://auth.sinch.com/oauth2/token","scopes":{"-":"-"}}}}]}]},{"nodeType":"item-content","variant":"path","label":"Path","labelTranslationKey":"path","parameters":[{"name":"projectId","in":"path","schemaId":"schema_922","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"The unique ID of the project. You can find this on the "},"children":[]},{"$$mdtype":"Node","type":"tag","tag":"html","inline":true,"attributes":{"name":"a","attrs":{"href":"https://dashboard.sinch.com/"}},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Sinch Dashboard"},"children":[]}]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"."},"children":[]}]}]}],"required":true}],"pointer":"/paths/~1v1~1projects~1{projectId}~1whatsapp/get/parameters"}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"http","method":"GET","path":"/v1/projects/{projectId}/whatsapp","servers":[{"url":"https://provisioning.api.sinch.com","description":"Production server"}],"parameters":{"path":[{"name":"projectId","in":"path","required":true,"schemaId":"schema_922"}],"query":[],"querystring":[],"header":[],"cookie":[]},"security":[{"schemes":[{"id":"BasicAuth","type":"http","scheme":"basic"},{"id":"BearerAuth","type":"http","scheme":"bearer","bearerFormat":"JWT"},{"id":"OAuth2Production","type":"oauth2","flows":{"clientCredentials":{"tokenUrl":"https://auth.sinch.com/oauth2/token","scopes":{"-":"-"}}}}],"scopes":[]}],"responseCodes":["200","401","404","409","500"],"pointer":"/v1/projects/{projectId}/whatsapp","href":"whatsapp-accounts/whatsappaccountscontroller_getaccount_v1","openApiOperationId":"WhatsappAccountsController_getAccount_v1","summary":"Get account for project"},"isWebhook":false,"hideReplay":false,"servers":[{"url":"https://provisioning.api.sinch.com","description":"Production server"}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Responses","labelTranslationKey":"responses","deepLinkSuffix":"responses"},{"nodeType":"item-content","variant":"responses","responses":[{"code":"200","description":"Account","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/WhatsappAccountDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1whatsapp/get/responses/200/content/application~1json/examples/response"]}},"schemaId":"components/schemas/WhatsappAccountDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1whatsapp/get/responses/200/content/application~1json/examples/response"]},{"code":"401","description":"Unauthorized","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/WebhookPapiErrorDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1whatsapp/get/responses/401/content/application~1json/examples/unauthorized_error-0"]}},"schemaId":"components/schemas/WebhookPapiErrorDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1whatsapp/get/responses/401/content/application~1json/examples/unauthorized_error-0"]},{"code":"404","description":"NotFound","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/WebhookPapiErrorDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1whatsapp/get/responses/404/content/application~1json/examples/account_not_found-0"]}},"schemaId":"components/schemas/WebhookPapiErrorDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1whatsapp/get/responses/404/content/application~1json/examples/account_not_found-0"]},{"code":"409","description":"Conflict","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/WebhookPapiErrorDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1whatsapp/get/responses/409/content/application~1json/examples/account_data_is_corrupt-0"]}},"schemaId":"components/schemas/WebhookPapiErrorDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1whatsapp/get/responses/409/content/application~1json/examples/account_data_is_corrupt-0"]},{"code":"500","description":"InternalServerError","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/WebhookPapiErrorDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1whatsapp/get/responses/500/content/application~1json/examples/internal_error-0"]}},"schemaId":"components/schemas/WebhookPapiErrorDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1whatsapp/get/responses/500/content/application~1json/examples/internal_error-0"]}],"pointer":"/paths/~1v1~1projects~1{projectId}~1whatsapp/get/responses"}],"panels":[{"children":[{"kind":"response","responseCodes":[{"code":"200","schemaId":"components/schemas/WhatsappAccountDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1whatsapp/get/responses/200/content/application~1json/examples/response"],"mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/WhatsappAccountDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1whatsapp/get/responses/200/content/application~1json/examples/response"]}}},{"code":"401","schemaId":"components/schemas/WebhookPapiErrorDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1whatsapp/get/responses/401/content/application~1json/examples/unauthorized_error-0"],"mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/WebhookPapiErrorDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1whatsapp/get/responses/401/content/application~1json/examples/unauthorized_error-0"]}}},{"code":"404","schemaId":"components/schemas/WebhookPapiErrorDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1whatsapp/get/responses/404/content/application~1json/examples/account_not_found-0"],"mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/WebhookPapiErrorDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1whatsapp/get/responses/404/content/application~1json/examples/account_not_found-0"]}}},{"code":"409","schemaId":"components/schemas/WebhookPapiErrorDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1whatsapp/get/responses/409/content/application~1json/examples/account_data_is_corrupt-0"],"mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/WebhookPapiErrorDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1whatsapp/get/responses/409/content/application~1json/examples/account_data_is_corrupt-0"]}}},{"code":"500","schemaId":"components/schemas/WebhookPapiErrorDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1whatsapp/get/responses/500/content/application~1json/examples/internal_error-0"],"mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/WebhookPapiErrorDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1whatsapp/get/responses/500/content/application~1json/examples/internal_error-0"]}}}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"feedback","pageSlug":"/whatsapp-accounts/whatsappaccountscontroller_getaccount_v1"}],"panels":[]}]},"badges":[{"name":"GA","color":"green","position":"after"}],"httpPath":"/v1/projects/{projectId}/whatsapp"},{"label":"Create account for project","deprecated":false,"httpVerb":"post","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/docs/provisioning-api/api-reference/provisioning-api/whatsapp-accounts/whatsappaccountscontroller_createaccount_v1","routeSlug":"/docs/provisioning-api/api-reference/provisioning-api/whatsapp-accounts/whatsappaccountscontroller_createaccount_v1","metadata":{"seo":{"title":"Create account for project","description":"Create the WhatsApp account for the project. Each project can only have one account."}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"WhatsappAccountsController_createAccount_v1","name":"Create account for project","isWebhook":false,"pointer":"/paths/~1v1~1projects~1{projectId}~1whatsapp/post","hasSamples":true},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Create account for project","badges":[{"name":"GA","color":"green","position":"after"}],"isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"markdoc","content":"\n    Create the WhatsApp account for the project. Each project can only have one account.\n    "},{"nodeType":"security","requirements":[{"schemes":[{"name":"BasicAuth","scopes":[],"type":"http","scheme":"basic"},{"name":"BearerAuth","scopes":[],"type":"http","scheme":"bearer","bearerFormat":"JWT"},{"name":"OAuth2Production","scopes":[],"type":"oauth2","description":"OAuth2 authorization for production","flows":{"clientCredentials":{"tokenUrl":"https://auth.sinch.com/oauth2/token","scopes":{"-":"-"}}}}]}]},{"nodeType":"item-content","variant":"path","label":"Path","labelTranslationKey":"path","parameters":[{"name":"projectId","in":"path","schemaId":"schema_922","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"The unique ID of the project. You can find this on the "},"children":[]},{"$$mdtype":"Node","type":"tag","tag":"html","inline":true,"attributes":{"name":"a","attrs":{"href":"https://dashboard.sinch.com/"}},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Sinch Dashboard"},"children":[]}]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"."},"children":[]}]}]}],"required":true}],"pointer":"/paths/~1v1~1projects~1{projectId}~1whatsapp/post/parameters"},{"nodeType":"item-content","variant":"body","label":"Request Body","labelTranslationKey":"body","required":true,"mediaTypes":["application/json"],"mediaTypeSchemas":{"application/json":{"schemaId":"schema_924","exampleIds":["paths/~1v1~1projects~1{projectId}~1whatsapp/post/requestBody/content/application~1json/examples/input","paths/~1v1~1projects~1{projectId}~1whatsapp/post/requestBody/content/application~1json/examples/partnerInitiated"]}},"schemaId":"schema_924","exampleIds":["paths/~1v1~1projects~1{projectId}~1whatsapp/post/requestBody/content/application~1json/examples/input","paths/~1v1~1projects~1{projectId}~1whatsapp/post/requestBody/content/application~1json/examples/partnerInitiated"],"pointer":"/paths/~1v1~1projects~1{projectId}~1whatsapp/post/requestBody","description":"Account data"}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"http","method":"POST","path":"/v1/projects/{projectId}/whatsapp","servers":[{"url":"https://provisioning.api.sinch.com","description":"Production server"}],"parameters":{"path":[{"name":"projectId","in":"path","required":true,"schemaId":"schema_922"}],"query":[],"querystring":[],"header":[],"cookie":[]},"security":[{"schemes":[{"id":"BasicAuth","type":"http","scheme":"basic"},{"id":"BearerAuth","type":"http","scheme":"bearer","bearerFormat":"JWT"},{"id":"OAuth2Production","type":"oauth2","flows":{"clientCredentials":{"tokenUrl":"https://auth.sinch.com/oauth2/token","scopes":{"-":"-"}}}}],"scopes":[]}],"requestBody":{"application/json":{"schemaId":"schema_924","exampleIds":["paths/~1v1~1projects~1{projectId}~1whatsapp/post/requestBody/content/application~1json/examples/input","paths/~1v1~1projects~1{projectId}~1whatsapp/post/requestBody/content/application~1json/examples/partnerInitiated"]}},"responseCodes":["201","400","401","404","409","500"],"pointer":"/v1/projects/{projectId}/whatsapp","href":"whatsapp-accounts/whatsappaccountscontroller_createaccount_v1","openApiOperationId":"WhatsappAccountsController_createAccount_v1","summary":"Create account for project"},"isWebhook":false,"hideReplay":false,"servers":[{"url":"https://provisioning.api.sinch.com","description":"Production server"}],"schemaId":"schema_924","exampleIds":["paths/~1v1~1projects~1{projectId}~1whatsapp/post/requestBody/content/application~1json/examples/input","paths/~1v1~1projects~1{projectId}~1whatsapp/post/requestBody/content/application~1json/examples/partnerInitiated"],"mediaTypes":["application/json"],"mediaTypeSchemas":{"application/json":{"schemaId":"schema_924","exampleIds":["paths/~1v1~1projects~1{projectId}~1whatsapp/post/requestBody/content/application~1json/examples/input","paths/~1v1~1projects~1{projectId}~1whatsapp/post/requestBody/content/application~1json/examples/partnerInitiated"]}},"examples":[{},{}]}]}]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Responses","labelTranslationKey":"responses","deepLinkSuffix":"responses"},{"nodeType":"item-content","variant":"responses","responses":[{"code":"201","description":"Account","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/WhatsappAccountDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1whatsapp/post/responses/201/content/application~1json/examples/pending","paths/~1v1~1projects~1{projectId}~1whatsapp/post/responses/201/content/application~1json/examples/onboarded"]}},"schemaId":"components/schemas/WhatsappAccountDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1whatsapp/post/responses/201/content/application~1json/examples/pending","paths/~1v1~1projects~1{projectId}~1whatsapp/post/responses/201/content/application~1json/examples/onboarded"]},{"code":"400","description":"BadRequest","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/WebhookPapiErrorDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1whatsapp/post/responses/400/content/application~1json/examples/invalid_input-0","paths/~1v1~1projects~1{projectId}~1whatsapp/post/responses/400/content/application~1json/examples/invalid_business_manager_for_environment-1","paths/~1v1~1projects~1{projectId}~1whatsapp/post/responses/400/content/application~1json/examples/invalid_payload-2"]}},"schemaId":"components/schemas/WebhookPapiErrorDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1whatsapp/post/responses/400/content/application~1json/examples/invalid_input-0","paths/~1v1~1projects~1{projectId}~1whatsapp/post/responses/400/content/application~1json/examples/invalid_business_manager_for_environment-1","paths/~1v1~1projects~1{projectId}~1whatsapp/post/responses/400/content/application~1json/examples/invalid_payload-2"]},{"code":"401","description":"Unauthorized","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/WebhookPapiErrorDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1whatsapp/post/responses/401/content/application~1json/examples/unauthorized_error-0"]}},"schemaId":"components/schemas/WebhookPapiErrorDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1whatsapp/post/responses/401/content/application~1json/examples/unauthorized_error-0"]},{"code":"404","description":"NotFound","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/WebhookPapiErrorDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1whatsapp/post/responses/404/content/application~1json/examples/project_not_found-0"]}},"schemaId":"components/schemas/WebhookPapiErrorDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1whatsapp/post/responses/404/content/application~1json/examples/project_not_found-0"]},{"code":"409","description":"Conflict","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/WebhookPapiErrorDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1whatsapp/post/responses/409/content/application~1json/examples/account_exists-0","paths/~1v1~1projects~1{projectId}~1whatsapp/post/responses/409/content/application~1json/examples/account_data_is_corrupt-1"]}},"schemaId":"components/schemas/WebhookPapiErrorDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1whatsapp/post/responses/409/content/application~1json/examples/account_exists-0","paths/~1v1~1projects~1{projectId}~1whatsapp/post/responses/409/content/application~1json/examples/account_data_is_corrupt-1"]},{"code":"500","description":"InternalServerError","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/WebhookPapiErrorDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1whatsapp/post/responses/500/content/application~1json/examples/internal_error-0"]}},"schemaId":"components/schemas/WebhookPapiErrorDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1whatsapp/post/responses/500/content/application~1json/examples/internal_error-0"]}],"pointer":"/paths/~1v1~1projects~1{projectId}~1whatsapp/post/responses"}],"panels":[{"children":[{"kind":"response","responseCodes":[{"code":"201","schemaId":"components/schemas/WhatsappAccountDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1whatsapp/post/responses/201/content/application~1json/examples/pending","paths/~1v1~1projects~1{projectId}~1whatsapp/post/responses/201/content/application~1json/examples/onboarded"],"mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/WhatsappAccountDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1whatsapp/post/responses/201/content/application~1json/examples/pending","paths/~1v1~1projects~1{projectId}~1whatsapp/post/responses/201/content/application~1json/examples/onboarded"]}}},{"code":"400","schemaId":"components/schemas/WebhookPapiErrorDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1whatsapp/post/responses/400/content/application~1json/examples/invalid_input-0","paths/~1v1~1projects~1{projectId}~1whatsapp/post/responses/400/content/application~1json/examples/invalid_business_manager_for_environment-1","paths/~1v1~1projects~1{projectId}~1whatsapp/post/responses/400/content/application~1json/examples/invalid_payload-2"],"mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/WebhookPapiErrorDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1whatsapp/post/responses/400/content/application~1json/examples/invalid_input-0","paths/~1v1~1projects~1{projectId}~1whatsapp/post/responses/400/content/application~1json/examples/invalid_business_manager_for_environment-1","paths/~1v1~1projects~1{projectId}~1whatsapp/post/responses/400/content/application~1json/examples/invalid_payload-2"]}}},{"code":"401","schemaId":"components/schemas/WebhookPapiErrorDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1whatsapp/post/responses/401/content/application~1json/examples/unauthorized_error-0"],"mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/WebhookPapiErrorDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1whatsapp/post/responses/401/content/application~1json/examples/unauthorized_error-0"]}}},{"code":"404","schemaId":"components/schemas/WebhookPapiErrorDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1whatsapp/post/responses/404/content/application~1json/examples/project_not_found-0"],"mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/WebhookPapiErrorDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1whatsapp/post/responses/404/content/application~1json/examples/project_not_found-0"]}}},{"code":"409","schemaId":"components/schemas/WebhookPapiErrorDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1whatsapp/post/responses/409/content/application~1json/examples/account_exists-0","paths/~1v1~1projects~1{projectId}~1whatsapp/post/responses/409/content/application~1json/examples/account_data_is_corrupt-1"],"mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/WebhookPapiErrorDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1whatsapp/post/responses/409/content/application~1json/examples/account_exists-0","paths/~1v1~1projects~1{projectId}~1whatsapp/post/responses/409/content/application~1json/examples/account_data_is_corrupt-1"]}}},{"code":"500","schemaId":"components/schemas/WebhookPapiErrorDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1whatsapp/post/responses/500/content/application~1json/examples/internal_error-0"],"mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/WebhookPapiErrorDto","exampleIds":["paths/~1v1~1projects~1{projectId}~1whatsapp/post/responses/500/content/application~1json/examples/internal_error-0"]}}}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Callbacks","labelTranslationKey":"callbacks","deepLinkSuffix":"callbacks"}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"item-content","variant":"callback","callback":{"httpVerb":"post","pathName":"{$request.body#webhooks.target}","summary":"Comment on account","description":"\n        Received when a comment has been added to the account.\n        ","callbackName":"Comment","callbackId":"Comment/post","contentChildren":[{"nodeType":"item-content","variant":"headers","label":"Headers","labelTranslationKey":"header","parameters":[{"name":"x-sinch-webhook-signature","in":"header","schemaId":"schema_925","example":"Jc88RMjzkxPoy/fCPiL+iy7osojuUgawpjl1g6H38O8="},{"name":"x-sinch-webhook-signature-algorithm","in":"header","schemaId":"schema_926","example":"HmacSHA256"},{"name":"x-sinch-webhook-signature-nonce","in":"header","schemaId":"schema_922","example":"01EAW2BNWCG9DC13RS582V0ZQ3"},{"name":"x-sinch-webhook-signature-timestamp","in":"header","schemaId":"schema_927","example":"1592227387"}],"pointer":"/paths/~1v1~1projects~1{projectId}~1whatsapp/post/callbacks/Comment/post/parameters"},{"nodeType":"item-content","variant":"body","label":"Request Body","labelTranslationKey":"body","isEvent":true,"mediaTypes":["application/json"],"mediaTypeSchemas":{"application/json":{"schemaId":"s
[...]
